=== tests/integration/snaps/cmake-with-env-var/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(cmake-with-env-var C)
add_definitions(-DPART_INSTALL=${PART_INSTALL})
add_executable(cmake-with-env-var test.c)
install(TARGETS cmake-with-env-var RUNTIME DESTINATION bin)
