=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,14 @@
-Tests: integrationtests-general, integrationtests-store, integrationtests-plugins, integrationtests-snapd
+Tests: integrationtests-general,
+       integrationtests-lifecycle,
+       integrationtests-sources,
+       integrationtests-store,
+       integrationtests-plugins,
+       integrationtests-plugins-python,
+       integrationtests-plugins-nodejs,
+       integrationtests-plugins-java,
+       integrationtests-plugins-catkin,
+       integrationtests-snapd,
+       integrationtests-snapd-slow
 Restrictions: needs-root, allow-stderr, isolation-container, rw-build-tree
 Depends: @,
          bzr,
@@ -8,6 +18,7 @@
          subversion,
          lxd,
          snapd (>= 2.15~),
+         squashfuse,
          python3-pep8,
          pyflakes,
          python-flake8,
@@ -26,4 +37,5 @@
          python3-pexpect,
          python3-requests-unixsocket,
          python3-testscenarios,
-         snapd (>= 2.15~)
+         snapd (>= 2.15~),
+         squashfuse,
