## snapcraft 2.41+18.04.2

=== requirements.txt ===
--- 
+++ 
@@ -1,9 +1,7 @@
 click>=6.2
 configparser==3.5.0
 docopt==0.6.2
-file-magic==0.3.0
 jsonschema==2.5.1
-libarchive-c==2.5
 progressbar33==2.4
 PyYAML==3.11
 pyxdg==0.25
@@ -14,10 +12,12 @@
 requests-toolbelt==0.6.0
 responses==0.5.1
 petname==1.12
+pyelftools==0.24
 pymacaroons==0.9.2; sys_platform != 'win32'
 pymacaroons==0.10.0; sys_platform == 'win32'
 pymacaroons-pynacl==0.9.3
 pysha3==1.0b1; python_version < '3.6'
+raven==6.5.0
 simplejson==3.8.2
 tabulate==0.7.5
 python-debian==0.1.28
