=== tests/integration/snaps/conflicts/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	gcc -o test test.c

install:
	mkdir -p $(DESTDIR)/bin
	cp -a test $(DESTDIR)/bin/
