=== tests/integration/snaps/local-source/Makefile ===
# -*- Mode: Makefile; indent-tabs-mode:t; tab-width: 4 -*-

all:
	touch stamp-all

install:
	touch stamp-install
