=== tests/integration/snaps/prime-from-stage/Makefile ===

all:
	echo "a" >a
	echo "b" >b
	echo "c" >c

install:
	cp a ${DESTDIR}/with-a
	cp b ${DESTDIR}/with-b
	cp c ${DESTDIR}/with-c
	cp a ${DESTDIR}/without-a
	cp b ${DESTDIR}/without-b
	cp c ${DESTDIR}/without-c
