=== debian/changelog ===
snapcraft (2.41+18.04.2) bionic; urgency=medium

  * debian/control
    - Depend on python3-distutils, required on bionic

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 18 Apr 2018 10:37:19 -0400

snapcraft (2.41+18.04.1) bionic; urgency=medium

  [ Sergio Schvezov ]
  * package: ensure all relevant files are in for sdist (#2060)
  * errors: enable sending tracebacks to sentry (#1961)
  * errors: improve the UX for sending error data (#2024)
  * errors: remove stack data when sending to sentry (#2036)
  * errors: feature flag error reports (#2066)
  * packaging: simplify snapcraft.yaml (#2062)
  * many: update the yaml loading logic (#2065)
  * extractors: support for setup.py (#2070)
  * lifecycle: handle missing version correctly (#2072)
  * python plugin: do not invoke wheel install if empty (#2077)
  * patches: improve ctypes patch for python 3.5
  * ci: enable subset of integration tests on bionic
  * errors: skip the sentry test if raven is no installed (#2075)
  * New upstream release (LP: #1763934)

  [ Kyle Fazzari ]
  * many: add snapcraftctl command for scriptlets (#2002)
  * kernel plugin: add kmod as build-package (#2041)
  * cli: support exporting login to stdout (#2043)
  * many: add override-pull scriptlet (#2045)
  * pluginhandler: organize in build instead of stage (#2047)
  * tests: extract sources suite from general suite (#2054)
  * many: add override-stage scriptlet (#2049)
  * tests: extract lifecycle suite from general suite (#2057)
  * many: add override-prime scriptlet (#2052)
  * elf: use snapped strip (#2051)
  * storeapi: properly handle lacking permission for channel (#2050)
  * many: add snapcraftctl set-version (#2063)
  * storeapi: handle 500 error response when releasing snap (#2059)
  * states: track override scriptlets (#2068)
  * many: add snapcraftctl set-grade (#2067)
  * meta: validate extracted and scriptlet metadata (#2073)

  [ Christian Dywan ]
  * options: introduce Project and ProjectInfo (#1995)
  * lxd: friendly error with suggestions if network is broken (#1930)
  * lxd: merge existing image info contents when using containerbuilds (#1997)
  * lxd: specify arch in lxc image list command (#2046)
  * meta: implement passthrough of properties to snap.yaml (#2053)

  [ Guilhem Lettron ]
  * nodejs plugin: add option for setting npm flags (#2038)

  [ Bjorn Tillenius ]
  * python plugin: install python-distutils when run on bionic (#2058)

  [ Rakesh Singh ]
  * dotnet plugin: add support enable configurable runtime version for
    .NET Core applications (#1911)

  [ Colin Watson ]
  * storeapi: fix formatting of some store errors (#2056)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Sat, 14 Apr 2018 12:13:35 +0000

snapcraft (2.40.1) xenial; urgency=medium

  [ Evan Dandrea ]
  * readme: polish the landing page (#2022)

  [ Christian Dywan ]
  * repo: catch error due to broken build packages (#2023)

  [ Sergio Schvezov ]
  * pluginhandler: organize correcly for targets with leading / (#2034)

 -- Sergio Schvezov <sergio.schvezov@ubuntu.com>  Tue, 27 Mar 2018 21:09:24 +0000

snapcraft (2.40) xenial; urgency=medium

  [ Sergio Schvezov ]
  * elf: better debug messages (#1950)
  * elf: clear execstack by default (#1945)
  * repo: silence deb caching when fetching packages (#1949)
  * meta: make sure adapter does not propagate (#1955)
  * store: stringify message for StoreDeltaApplicationError (#1962)
  * python plugin: find setup.py when source-subdir is used (#1975)
  * ci: switch to stable lxd and unconfined containers (#1978)
  * project_loader: improve the logic to install patchelf as a build tool (#1967)
  * demos: avoid use of the wrapper for java-hello-world (#1968)
  * lifecycle: when priming dependencies need to be primed (#1977)
  * pluginhandler: simplify logic when elf patching is required (#1979)
  * pluginhandler: add option to disable patchelf for a part (#1987)
  * schema: add keep-execstack (#1986)
  * elf: remove dead code (#2000)
  * core: initial support for bases (#1993)
  * docker: export SNAP_ARCH into the environment (#1994)
  * tests: add SNAPCRAFT_KEEP_DATA_PATH for integration (#1996)
  * errros: add a specific error when running commands from plugins (#2004)
  * pluginhandler: special case go patchelf failures for classic confinement (#2005)
  * many: use packaging logic to get patchelf (#2006)
  * project_loader: fix the host to base compatibility check (#2009)
  * pluginhandler: only do elf checking and patching for type app (#2012)
  * demos: use realpath in command entry for java-hello-world (#2016)
  * many: optimize retrieval of the linker version (#2017)
  * tests: minor fixes to autopkgtests (#2018)
  * elf: avoid duplicating rpath entries (#2019)
  * pluginhandler: only resort to elf mangling if the snap type is app (#2021)
  * New upstream release (LP: #1756939)

  [ Leo Arias ]
  * tests: split the plugins tests in the same directory (#1944)
  * tests: move test files out of the snapcraft dir (#1948)
  * extractors: replace desktop file ids with paths (#1879)
  * extractors: add support for common-id  (#1960)
  * tests: remove ProjectOptions dependency from the integration suite (#1965)
  * tests: remove dependency of internal repo from integration suite (#1971)
  * tests: remove the internal os_release dependency (#1981)
  * tests: remove _options dependency from integration suite (#1972)
  * tests: update store tests user (#1984)
  * tests: document arm testing setup (#1985)

  [ Kyle Fazzari ]
  * catkin plugin: extract Wstool into its own module (#1927)
  * elf: remove all un-primed libs from soname cache (#1980)
  * catkin plugin: support recursive rosinstall files (#1934)
  * elf: only set rpaths to libs of the same arch (#1988)
  * elf: don't parse elf more than necessary (#1989)
  * catkin plugin: replace python calls in all profile.d scripts (#2007)
  * docs: add execstack to HACKING.md's list of deb deps (#2015)
  * integration tests: snap tests shouldn't be arch-specific (#2014)


