=== debian/control ===
--- 
+++ 
@@ -4,10 +4,14 @@
 Maintainer: Snapcraft Team <snapcraft@lists.snapcraft.io>
 Build-Depends: bash-completion,
                bzr,
+               cpio,
                debhelper (>= 9),
                dh-python,
+               execstack,
                git,
                mercurial,
+               p7zip-full,
+               patchelf (>= 0.9),
                pkg-config,
                python3 (>= 3.4),
                python3-apt,
@@ -16,12 +20,11 @@
                python3-docopt,
                python3-fixtures,
                python3-jsonschema,
-               python3-libarchive-c,
                python3-lxml,
-               python3-magic,
                python3-petname,
                python3-pkg-resources,
                python3-progressbar,
+               python3-pyelftools,
                python3-pymacaroons,
                python3-pyramid,
                python3-pysha3,
@@ -36,6 +39,7 @@
                python3-testtools,
                python3-xdg,
                python3-yaml,
+               rpm2cpio,
                subversion,
                squashfs-tools,
                xdelta3,
@@ -46,16 +50,19 @@
 
 Package: snapcraft
 Architecture: all
-Depends: python3-apt,
+Depends: binutils,
+         execstack,
+         patchelf (>= 0.9),
+         python3-apt,
          python3-debian,
          python3-click,
+         python3-distutils,
          python3-jsonschema,
-         python3-libarchive-c,
          python3-lxml,
-         python3-magic,
          python3-petname,
          python3-pkg-resources,
          python3-progressbar,
+         python3-pyelftools,
          python3-pymacaroons,
          python3-pysha3,
          python3-requests,
