=== debian/control ===
--- 
+++ 
@@ -56,7 +56,6 @@
          python3-apt,
          python3-debian,
          python3-click,
-         python3-distutils,
          python3-jsonschema,
          python3-lxml,
          python3-petname,
